{ pkgs, config, ... }:
let
  config = pkgs.writeText "config.kdl" ''
    status-text "hi there! i like to know people following me on here

    - what's something you enjoy doing?
    - what's your stance on the Hellfire AGM-114R9X Knife Missile?
    - what's your opinion on the current \"AI revolution\"?
    - have you read my bio?"
    with-cw "automated follow request pm"
  '';
  path = "/var/lib/frq-friend";
in {
  systemd.services.frq-friend = {
    wantedBy = [ "multi-user.target" ];
    description =
      "just a friend that messages people who send you a follow request";
    after = [ "network.target" ];

    serviceConfig = {
      Type = "simple";
      ExecStart = "${pkgs.frq-friend}/bin/f3";
      WorkingDirectory = path;
      Restart = "always";
      RuntimeMaxSec = "1h";
    };
    preStart = ''
      ln -sf ${config} ${path}/config.kdl
    '';
  };
}
